Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.ext.typeinfo
Interface CompilationUnitProvider

    public interface CompilationUnitProvider

Provides information about a single compilation unit on demand.

Field Summary
`static java.util.Comparator` | `LOCATION_COMPARATOR`

Method Summary
`long` | `getLastModified()`
`java.lang.String` | `getLocation()`
`java.lang.String` | `getPackageName()`
`char[]` | `getSource()`
`boolean` | `isTransient()`

Field Detail

### LOCATION_COMPARATOR

    static final java.util.Comparator LOCATION_COMPARATOR

Method Detail

### getLastModified

    long getLastModified()
                         throws UnableToCompleteException

  Throws:
    `UnableToCompleteException`

### getLocation

    java.lang.String getLocation()

### getPackageName

    java.lang.String getPackageName()

### getSource

    char[] getSource()
                     throws UnableToCompleteException

  Throws:
    `UnableToCompleteException`

### isTransient

    boolean isTransient()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD